Get today's occupancy timelines for spaces of a given space type in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/today/space \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/today/space', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/today/space"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaces": [
{
"space": {
"spaceId": 241,
"floorId": 26,
"label": "MR-1-35",
"capacity": 9
},
"timelineData": [
{
"dateTime": "2021-03-03T13:45:00+01:00",
"state": "Occupied",
"occupancy": 3
}
]
}
]
}Analytics - Workplace Operations
Get today's occupancy timelines for spaces of a given space type in a building.
This request returns a utilization timeline of today for each Space with the given space type in the given building.
Spaces that can not be measured with high accuracy are returned with state “Unknown”.
The response contains all Spaces, including the ones which are hidden in the Locatee Analytics UI. In other words, the ‘hidden’ flag on the space attributes is ignored.
This endpoint is only available for buildings with SubscriptionPlan=Workplace.
GET
/
public
/
api
/
analytics
/
v1
/
workplace
/
building
/
{buildingId}
/
utilization
/
today
/
space
Get today's occupancy timelines for spaces of a given space type in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/today/space \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/today/space', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/today/space"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaces": [
{
"space": {
"spaceId": 241,
"floorId": 26,
"label": "MR-1-35",
"capacity": 9
},
"timelineData": [
{
"dateTime": "2021-03-03T13:45:00+01:00",
"state": "Occupied",
"occupancy": 3
}
]
}
]
}Authorizations
Path Parameters
The unique ID of a building.
Example:
6
Query Parameters
The type of spaces that should be returned. This parameter is case sensitive.
The type of Space as seen in Locatee Analytics.
Available options:
Desk, MeetingRoom, CollaborationSpace, Undefined Example:
"MeetingRoom"

